<?php

namespace App\Http\Controllers\Api\V1\ItemMaster;

use App\Helpers\ApiResponse;
use App\Http\Controllers\Controller;
use App\Services\ItemMaster\ItemMasterService;

class ItemMasterController extends Controller
{
    public function __construct(private ItemMasterService $service) {}

    /**
     * 초기화 API - 전체 데이터 로드
     *
     * GET /api/v1/item-master/init
     */
    public function init()
    {
        return ApiResponse::handle(function () {
            return $this->service->init();
        }, __('message.fetched'));
    }
}
